Index: isc-dhcp/omapip/result.c
===================================================================
RCS file: /cvs/src/contrib/isc-dhcp/omapip/result.c,v
retrieving revision 1.1
diff -u -r1.1 result.c
--- isc-dhcp/omapip/result.c	17 Jun 2003 02:45:02 -0000	1.1
+++ isc-dhcp/omapip/result.c	9 Oct 2003 02:20:19 -0000
@@ -119,7 +119,10 @@
 
 const char *isc_result_totext (isc_result_t result)
 {
+	static char ebuf[40];
+
 	if (result >= ISC_R_SUCCESS && result < ISC_R_NRESULTS)
 		return text [result];
-	return "unknown error.";
+	sprintf(ebuf, "unknown error: %d", result);
+	return ebuf;
 }
